Subject: Re: your mail

From: [email-masked] (Xihui Liang)
Date: Mon, 18 Jul 94 14:39:14 CDT

> My lads received form I-181 B (Is this I-181 copy 2?) from Chicage INS.
> There are only two sentences in the form. The first told us that the
> application process has been completed. The second one is: "A request
> has been forwarded for the allocation of a visa number." It did not
> let us go to local INS to process I-89. What should we do? Just wait?
> BTW, is this the approval notice? Does this mean that we still need to
> wait for the avilable visa number? Any help is appreciated.
> 
> Liu
> 

My wife a similar copy.  But the setence "A request has been forwarded  .."
was crossed out.  We did not do any thing but wait.  Now she got it.
So don't worry too much.